#
# spec file for package yast2-metapackage-handler
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           yast2-metapackage-handler
Version:        5.0.0
Release:        1.10
Summary:        YaST2 - Easy Installation of Add-on RPMs using Metapackages
License:        GPL-2.0-or-later
Group:          System/YaST
URL:            https://github.com/yast/yast-metapackage-handler
Source0:        %{name}-%{version}.tar.bz2
# should be required by devtools
BuildRequires:  pkgconfig
# desktop files
BuildRequires:  update-desktop-files
BuildRequires:  yast2
# ycpc
BuildRequires:  yast2-core
BuildRequires:  yast2-country-data
# y2tool
BuildRequires:  yast2-devtools >= 3.1.10
BuildRequires:  yast2-packager
BuildRequires:  yast2-transfer
BuildRequires:  rubygem(%{rb_default_ruby_abi}:yast-rake)
# needed at runtime for invoking root mode
Requires:       %{_bindir}/xdg-su
Requires:       yast2
# Language
Requires:       yast2-country-data
Requires:       yast2-packager
Requires:       yast2-ruby-bindings >= 1.0.0
Requires:       yast2-transfer
BuildArch:      noarch

%description
With this technology users can install packages and add repositories
with a simple click on a link in a website.

%prep
%setup -q

%build

%install
%yast_install

%suse_update_desktop_file org.opensuse.yast.MetapackageHandler

%files
%license COPYING
%doc %{yast_docdir}
%{_bindir}/OneClickInstall*
%{yast_clientdir}
%{yast_moduledir}
%{_datadir}/icons/hicolor/*/apps/yast-oneclick*
%{_datadir}/applications/org.opensuse.yast.MetapackageHandler.desktop
%{_datadir}/mime/packages/yast2-metapackage-handler-mimetypes.xml

%changelog
* Wed Aug 30 2023 Josef Reidinger <jreidinger@suse.cz>
- 5.0.0 (bsc#1185510)
* Fri Mar  3 2023 Ladislav Slezák <lslezak@suse.cz>
- Bump version to 4.6.0 (bsc#1208913)
* Wed Apr  6 2022 Ladislav Slezák <lslezak@suse.cz>
- Bump version to 4.5.0 (bsc#1198109)
* Mon May 17 2021 Dirk Müller <dmueller@suse.com>
- only own the files, not the directories themselves (bsc#1184786)
- 4.4.1
* Wed Apr  7 2021 Dirk Müller <dmueller@suse.com>
- stop packaging directories owned by filesystem (bsc#1184787)
- spec cleanup
- 4.4.0
* Tue Jul 21 2020 Ancor Gonzalez Sosa <ancor@suse.com>
- Fixed a crash when ~/.y2usersettings is missing (bsc#1173781)
- 4.3.0
* Fri Jan 24 2020 Steffen Winterfeldt <snwint@suse.com>
- remove obsolete patch 103.diff
- remove obsolete patch SLE.diff
* Fri Nov 15 2019 Steffen Winterfeldt <snwint@suse.com>
- rewrite YMP file parsing (bsc#1138638)
- fix YMP schema definitions
- add YMP examples
- remove perl dependency
- 4.1.1
* Tue Feb 26 2019 José Iván López González <jlopez@suse.com>
- Version bump (bsc#1124009)
- 4.1.0
* Tue Oct 16 2018 schubi@suse.de
- Added license file to spec.
* Wed Aug 22 2018 schubi@suse.de
- Switched license in spec file from SPDX2 to SPDX3 format.
* Tue Feb 13 2018 lelcp@protonmail.com
- don't use inline html styles when including package metadata
  (bsc#1080792)
- 4.0.0
* Mon Nov  3 2014 lslezak@suse.cz
- do not use repository name as alias, it must be unique, let
  pkg-bindings create it (bnc#551014)
- 3.1.4
* Wed Jun  4 2014 pgajdos@suse.com
- OneClickInstallCLI: /sbin/YaST -> /usr/sbin/yast (bnc#926313)
- 3.1.3
* Mon Apr  7 2014 pgajdos@suse.com
- use Product.name when talking about product
- 3.1.2
* Mon Oct 14 2013 jreidinger@suse.com
- Move binaries from /sbin to /usr/sbin to follow conventions and
  keep backward compatible symlinks
- 3.1.1
* Thu Sep 19 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Wed Jul 31 2013 yast-devel@opensuse.org
- converted from YCP to Ruby by YCP Killer
  (https://github.com/yast/ycp-killer)
- version 3.0.0
* Thu Mar 29 2012 jsuchome@suse.cz
- merged proofread texts
* Thu Sep 29 2011 visnov@suse.cz
- set dialog title
- rename the module in desktop file to reflect reality
- 0.8.14
* Fri Aug  5 2011 lslezak@suse.cz
- import trusted GPG keys before refreshing repositories, do not
  ask for importing already trusted keys (bnc#652043)
- 0.8.13
* Fri Jul 22 2011 locilka@suse.cz
- removed X-KDE-SubstituteUID from the desktop file and replaced
  with X-SuSE-YaST-RootOnly (bnc#540627)
- 0.8.12
* Fri Oct 15 2010 lslezak@suse.cz
- added missing slidshow initialization after manual conflict
  resolution, properly display the total number of pakages to
  install (bnc#590198)
- 0.8.11
* Tue Oct 12 2010 lslezak@suse.cz
- don't use obsoleted inst_packages.ycp client, use PackagesUI.ycp
  module instead (bnc#471490)
- 0.8.10
* Mon Sep  6 2010 jsrain@suse.cz
- lowercase the textdomain to be consistent with the rest of YaST
* Mon May 25 2009 mvidner@suse.cz
- Added -h, --help to /sbin/OCICLI.
* Thu Apr  2 2009 lslezak@suse.cz
- properly initialize package slideshow, display correct
  installation progress (bnc#482320)
- 0.8.9
* Thu Feb 12 2009 coolo@suse.de
- make the desktop files more XDG compliant
- 0.8.8
* Mon Sep  8 2008 mvidner@suse.cz
- Applied proofreading changes from Andrew Spackman.
- 0.8.7
* Thu Sep  4 2008 visnov@suse.cz
- Adapt to SlideShow API changes
* Mon Jul 14 2008 locilka@suse.cz
- Removed useless dependency on yast2-installation, fixed
  dependency on yast2-country -> yast2-country-data.
- 0.8.6
* Thu Jun 26 2008 benji@opensuse.org
- Fix bnc #392257 (Back button enabled after installation)
- Fix bnc #401885 (UI Error when no repositories added during installation)
* Fri May 16 2008 jsrain@suse.cz
- added categories Settings and System into desktop file
  (bnc #382778)
* Mon May  5 2008 mvidner@suse.cz
- 0.8.5
* Sat May  3 2008 benji@opensuse.org
- Fixed progress dialogue flicker when adding repositories (bnc#386383)
* Wed Apr 30 2008 mvidner@suse.cz
- reviewed for autobuild
* Tue Apr 29 2008 benji@opensuse.org
- Fixed duplicated Wizard steps (bnc#384492).
- Allow translatable repository names.
- Disabled back button when on first step of wizard.
- 0.8.4
* Wed Apr 16 2008 jsrain@suse.cz
- merged texts from proofread
- 0.8.3
* Fri Apr  4 2008 benji@opensuse.org
- Prefer installing packages from repositories defined in the YMP.
* Sat Mar 29 2008 benji@opensuse.org
- Fix error stage reporting.
- Switch to slideshow for installation progress, instead of popups.
* Tue Mar 18 2008 benji@opensuse.org
- Command line Support.
- Move dialogues out of main file to reduce size.
- Refactor workflow so both UI and CLI can use it.
- UI tweaks, including:
- Don't show this again support for nag warning.
- Removed "advanced mode" tickbox in favour of an editable proposal.
- YMP description visible in detailed mode too.
- 0.8.0
* Tue Nov 27 2007 benji.weber@gmail.com
- Catch errors caused by invalid XML. (341840)
- Fall back to xdg_menu_su on xdg_su failure.
* Mon Nov 19 2007 locilka@suse.cz
- Fixed used terminology (repositories) (FATE #302970).
* Thu Nov  8 2007 mvidner@suse.cz
- Fixed missing association by calling update-mime-database (#330352).
- 0.7.3
* Wed Oct 31 2007 benji.weber@gmail.com
- Allow package names that are not valid XML element names e.g. 3ddiag (#331557)
- Alter default error message to indicate most likely cause for failure - user didn't enter password (#310813)
* Thu Oct  4 2007 mvidner@suse.cz
- Use an actual icon (sw_single) for the YaST windows instead of the
  default one (#329644).
- 0.7.2
* Mon Sep 17 2007 mvidner@suse.cz
- Fixed broken pattern installing and package removal (#325600).
- Fixed installation failing if no repositories were added (#325600).
- Fixed the close button (#309146). (both benji)
- 0.7.1
* Tue Sep  4 2007 stbinner@suse.de
- .desktop files have to contain NoDisplay=true, not Hidden=true
* Mon Sep  3 2007 mvidner@suse.cz
- Added associations for Firefox, via shared-mime-info (#295677).
- Use translations for buttons and heading (benji).
- 0.7.0
* Thu Aug 30 2007 mvidner@suse.cz
- Do not add duplicate repositories (#300974). Also uses correct
  name when adding repositories. This change breaks compatibility
  with 10.2.
- Fixed a failure when run as root (#305354).
- Fixed bad appearance when using YMPs with no description or for
  the wrong distribution.
  (all by benji)
- 0.6.0
* Tue Aug 14 2007 jsuchome@suse.cz
- Merged proofread texts
- 0.5.3
* Mon Aug  6 2007 mvidner@suse.cz
- Added 10.3 to the tuxsaver example.
- 0.5.2
* Mon Aug  6 2007 mvidner@suse.cz
- Delete newlines before processing URL (benji).
- Handle file: URLs (benji).
- Updated the tuxsaver example.
* Mon Aug  6 2007 mvidner@suse.cz
- Implementing http://en.opensuse.org/Standards/One_Click_Install
- Use yast2-devtools for building
- 0.5
* Wed Aug  1 2007 mvidner@suse.cz
- Add mimetype desktop files for distros before 10.3 (in OBS
  openSUSE:Tools) (adrian)
- Require /usr/bin/xdg-su (adrian)
- 0.4.1
* Mon Jul 23 2007 mvidner@suse.cz
- Mime type changed from text/ymu to text/x-suse-ymu (#292715).
- 0.4
* Fri Jun  8 2007 mvidner@suse.cz
- Use xdg-su instead of kdesu.
- Removed KDE config stuff, will be put it to kdebase3-SUSE.
- Removed prototype of search client.
- 0.3
* Fri May 25 2007 jsrain@suse.cz
- removed outdated translations from .desktop-files (#271209)
* Thu May 17 2007 mvidner@suse.cz
- Call the complex package selector in summary mode if there are
  non-automatically resolvable conflicts (#274058).
- 0.2
* Fri May 11 2007 mvidner@suse.cz
- initial packaging for autobuild
